
Foreman - Bug #1220

Issue with the search API with facts and "OR" operator

10/10/2011 09:42 PM - Brian Gupta

Status: Closed   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Basically it spits out the same hostname multiple times:

./foreman-cli3 --server https://foreman/ --custom

hosts?search=+facts.processorcount+%3D+1++or+facts.domain+%3D+domain1.com --json |uniq -c

1 [

82   "app1.domain1.com",

82   "app2.domain1.com",

56   "test1.domain2.com",

1   "test1.domain2.com"

1 ]

Doing a little further digging leads me to the conclusion that the search is returning the host name an equal number of times to the

number of facts that host has registered with foreman.

History

#1 - 10/10/2011 09:43 PM - Brian Gupta

Looks like this might be a duplicate of http://theforeman.org/issues/1181

#2 - 10/10/2011 09:47 PM - Brian Gupta

- Status changed from New to Closed

Closing issue. It is almost certainly a duplicate of #1181

Powered by TCPDF (www.tcpdf.org)

05/13/2024 1/1

https://foreman/
http://theforeman.org/issues/1181
https://projects.theforeman.org/issues/1181
http://www.tcpdf.org

